> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer groups

> Retrieve all customer groups for an organization.



## OpenAPI

````yaml GET /api/v1/customer-groups
openapi: 3.0.1
info:
  title: Meadow Open API
  description: The API to connect to the Meadow platform
  version: 1.0.0
servers:
  - url: https://api-staging.getmeadow.com
  - url: https://api.getmeadow.com
security:
  - meadowConsumer: []
    meadowClient: []
paths:
  /api/v1/customer-groups:
    get:
      description: Retrieve all customer groups for an organization.
      parameters: []
      responses:
        '200':
          description: List customer groups response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerGroup'
              example:
                data:
                  - id: 134
                    name: Veterans
                    description: null
                    createdAt: '2025-04-27T04:17:58.399Z'
                    updatedAt: '2025-04-27T04:17:58.399Z'
                  - id: 133
                    name: Seniors
                    description: All customers over age 65
                    createdAt: '2025-04-27T04:17:58.399Z'
                    updatedAt: '2025-04-27T04:17:58.399Z'
        4XX:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    CustomerGroup:
      type: object
      properties:
        id:
          type: number
          description: The id for the customer group
        name:
          type: string
          description: The name of the group
        description:
          type: string
          description: The description of the group
          nullable: true
        createdAt:
          type: string
          description: The date this group was created
        updatedAt:
          type: string
          description: The date this group was last updated
    APIError:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: A description of the error code
            code:
              type: string
              example: CODE_OF_ERROR_WILL_BE_HERE
  securitySchemes:
    meadowConsumer:
      type: apiKey
      name: X-Consumer-Key
      description: The key assigned to your company and provided via Meadow
      in: header
    meadowClient:
      type: apiKey
      name: X-Client-Key
      description: The key generated and provided by our mutual client
      in: header

````